/*************************************************
 sfc/snes lorom dump script
 
 cpu_read
 cpu_write
 ram_read
 ram_write
 
*************************************************/
function cpu_dump(d, rom_size, banksize)
{
	for(local i = 0; i < rom_size*2; i += 0x10000)
	{
	//enable second rom chip
	//only need for rockman x2
		if(i==0x200000)
			cpu_write(d,0x7F52,0x00,0x7F52,0x01);
		cpu_read (d, 0x8000+i, 0x8000); 
	}
}


function save_dump(d, save_size, max_size)
{
	for(local i = 0; i < save_size; i += 0x400)
	{
		ram_read (d, 0x710000+i, 0x400); 
	}
}


function save_write(d, save_size, max_size)
{
	for(local i = 0; i < save_size; i += 0x100)
	{
		ram_write (d, 0x710000+i, 0x100); 
	}
}